summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2020-08-23 13:33:47 +0200
committerDavid Seifert <soap@gentoo.org>2020-08-23 13:33:47 +0200
commit307a8e8fff03a04d70dd5789513060730b0c95c6 (patch)
tree971ef2f8fc076d31220e6dcc911c1949d3d5541e /dev-python
parentdev-python/pytools: Add python 3.6 for 2020.3.1 (diff)
downloadgentoo-307a8e8fff03a04d70dd5789513060730b0c95c6.tar.gz
gentoo-307a8e8fff03a04d70dd5789513060730b0c95c6.tar.bz2
gentoo-307a8e8fff03a04d70dd5789513060730b0c95c6.zip
dev-python/pycuda: Version bump to 2019.1.2
Bug: https://bugs.gentoo.org/719396 Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/pycuda/Manifest1
-rw-r--r--dev-python/pycuda/pycuda-2019.1.2.ebuild80
2 files changed, 81 insertions, 0 deletions
diff --git a/dev-python/pycuda/Manifest b/dev-python/pycuda/Manifest
index ab240aa519c..888ad6e6daa 100644
--- a/dev-python/pycuda/Manifest
+++ b/dev-python/pycuda/Manifest
@@ -1 +1,2 @@
DIST pycuda-2018.1.1.tar.gz 1612853 BLAKE2B 7afbcc33891da96d726f07f1686bfb9a28b4a5ce3dfc754707166556153f91a0fbc3454d50ca678ac56b71e8dc15e8f7b797e8ff025e42aa9eed2eaaa797d952 SHA512 cb93855cf3cee6650ba0564bccce73c2f59ecbd579235eb3623ec32dde8d9247216e756b1342a876fc7d37c0159e741f5f626a86f2e7ab11c4b03c7a4e581a28
+DIST pycuda-2019.1.2.tar.gz 1584807 BLAKE2B 3250430ad626b28242ff44ab9576cf1f5ecf77530e789470dfebab324de95a735c0f56e67134891bace44b1f9b7a25133ffcb74c652c6568c5afedce26907fdb SHA512 22829daa5923342eec400a24342b1d738226073bb676476e4af97629d9311426b5d2465e60811696e55401568b90e152ac96d877c6262c416099a609862db742
diff --git a/dev-python/pycuda/pycuda-2019.1.2.ebuild b/dev-python/pycuda/pycuda-2019.1.2.ebuild
new file mode 100644
index 00000000000..cc21cbd6b06
--- /dev/null
+++ b/dev-python/pycuda/pycuda-2019.1.2.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit cuda distutils-r1
+
+DESCRIPTION="Python wrapper for NVIDIA CUDA"
+HOMEPAGE="https://mathema.tician.de/software/pycuda/ https://pypi.org/project/pycuda/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="examples opengl test"
+
+RDEPEND="
+ dev-libs/boost:=[python,${PYTHON_USEDEP}]
+ dev-python/decorator[${PYTHON_USEDEP}]
+ dev-python/mako[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ >=dev-python/pytools-2013[${PYTHON_USEDEP}]
+ dev-util/nvidia-cuda-toolkit
+ x11-drivers/nvidia-drivers
+ opengl? ( virtual/opengl )"
+DEPEND="${RDEPEND}"
+
+# We need write acccess /dev/nvidia0 and /dev/nvidiactl and the portage
+# user is (usually) not in the video group
+RESTRICT="userpriv !test? ( test )"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ cuda_sanitize
+ sed -e "s:'--preprocess':\'--preprocess\', \'--compiler-bindir=$(cuda_gccdir)\':g" \
+ -e "s:\"--cubin\":\'--cubin\', \'--compiler-bindir=$(cuda_gccdir)\':g" \
+ -e "s:/usr/include/pycuda:${S}/src/cuda:g" \
+ -i pycuda/compiler.py || die
+
+ touch siteconf.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_configure() {
+ mkdir -p "${BUILD_DIR}" || die
+ cd "${BUILD_DIR}" || die
+ "${EPYTHON}" "${S}"/configure.py \
+ --boost-inc-dir="${EPREFIX}"/usr/include \
+ --boost-lib-dir="${EPREFIX}"/usr/$(get_libdir) \
+ --boost-python-libname=boost_${EPYTHON/./}.so \
+ --boost-thread-libname=boost_thread \
+ --cuda-root="${EPREFIX}"/opt/cuda \
+ --cudadrv-lib-dir="${EPREFIX}"/usr/$(get_libdir) \
+ --cudart-lib-dir="${EPREFIX}"/opt/cuda/$(get_libdir) \
+ --cuda-inc-dir="${EPREFIX}"/opt/cuda/include \
+ --no-use-shipped-boost \
+ $(usex opengl --cuda-enable-gl "") || die
+}
+
+src_test() {
+ # we need write access to this to run the tests
+ addwrite /dev/nvidia0
+ addwrite /dev/nvidiactl
+ addwrite /dev/nvidia-uvm
+ addwrite /dev/nvidia-uvm-tools
+
+ distutils-r1_src_test
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}